# global attribute
gnowstatus = "micoff"
curvemove = 'cubic-bezier(0.4, 0, 0.2, 1)'

#layers
colorpalette = new Layer width:Framer.Device.screen.width,height:Framer.Device.screen.height/2
colorview = new Layer width:Framer.Device.screen.width, height:Framer.Device.screen.height/2, backgroundColor:'#eee'
colorview.y = Framer.Device.screen.height/2

#empty layer to manipulate the color
rgbaslider = new Layer backgroundColor:'rgba(255,59,59,1)'
rgbaslider.draggable.enabled
rgbaslider.superLayer = colorview
rgbaslider.draggable.maxDragFrame = colorpalette

bslider = new Layer backgroundColor:'rgba(74,144,255,1)'
bslider.borderRadius = bslider.width/2
bslider.superLayer = colorview
bslider.draggable.maxDragFrame = colorpalette

rgbaslider.x = colorview.width/1.5
rgbaslider.y = colorview.height/4
bslider.x = colorview.width/2
bslider.y = colorview.height/1.8


rgbaslider.borderRadius = rgbaslider.width/2
# set the color

calbg = (e,f) ->
	
	rc = Utils.modulate(e.y,[0,colorpalette.height-100],[0,255],true)
	gc = Utils.modulate(e.x/2+f.x/2,[0,colorview.width-100],[0,255],true)
	bc = Utils.modulate(f.y,[0,colorview.height-100],[0,255],true)
		
	rcolor = Math.ceil(rc)		
	gcolor = Math.ceil(gc)		
	bcolor = Math.ceil(bc)			

	colorpalette.backgroundColor='rgba('+rcolor+','+gcolor+','+bcolor+',1)'
	Utils.labelLayer(colorpalette,colorpalette.backgroundColor)
	colorpalette.style = fontSize:'48px'

rcolor = Math.ceil(rgbaslider.y)
gcolor = Math.ceil(rgbaslider.x/2+bslider.x/2)
bcolor = Math.ceil(bslider.y/2)

#this is color of layer 'color'
colorpalette.backgroundColor='rgba('+rcolor+','+gcolor+','+bcolor+',1)'
Utils.labelLayer(colorpalette,colorpalette.backgroundColor)
colorpalette.style = fontSize:'48px'

colorpalette.centerX()
colorpalette.y = 0

#where magic happens
rgbaslider.on "change:x","change:y",->	

	calbg(rgbaslider,bslider)

bslider.on "change:x","change:y",->
	
	calbg(rgbaslider,bslider)

calbg(rgbaslider,bslider)